> ## Documentation Index
> Fetch the complete documentation index at: https://cinch-api.crex.page/llms.txt
> Use this file to discover all available pages before exploring further.

# Get emissions for a customer order

> Return the emissions for a customer order



## OpenAPI

````yaml get /api/order-emissions/{id}
openapi: 3.0.0
info:
  title: CREX API
  version: '1.0'
servers:
  - url: https://api.gocrex.com
    variables: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /api/order-emissions/{id}:
    get:
      tags: []
      summary: Get emissions for a customer order
      description: Return the emissions for a customer order
      operationId: GrootApi.OrderEmissionsController.show
      parameters:
        - description: Order ID
          example: ORDER-123
          in: path
          name: id
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
          description: OrderResponse
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ErrorResponse
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
          description: Not Found
      callbacks: {}
components:
  schemas:
    OrderResponse:
      properties:
        created_at:
          description: Order creation date
          format: date-time
          type: string
          x-struct: null
          x-validate: null
        customer_id:
          description: Customer ID
          type: string
          x-struct: null
          x-validate: null
        emission_unit:
          description: Unit of GHG emission
          example: kgCO2e
          type: string
          x-struct: null
          x-validate: null
        items:
          description: List of items in the order
          items:
            $ref: '#/components/schemas/ItemSchema'
          type: array
          x-struct: null
          x-validate: null
        order_date:
          description: Order date
          format: date
          type: string
          x-struct: null
          x-validate: null
        order_id:
          description: Order ID
          type: string
          x-struct: null
          x-validate: null
        status:
          description: Order status
          example: created
          type: string
          x-struct: null
          x-validate: null
        tenure_start_date:
          description: Order's tenure start date
          format: date
          type: string
          x-struct: null
          x-validate: null
        total_emission:
          description: Total GHG emission of the order
          type: number
          x-struct: null
          x-validate: null
      title: OrderResponse
      type: object
      x-struct: Elixir.GrootApi.ApiSpec.Schemas.OrderResponse
      x-validate: null
    ErrorResponse:
      example:
        code: unauthorized
        detail: Invalid API key
      properties:
        code:
          type: string
          x-struct: null
          x-validate: null
        detail:
          type: string
          x-struct: null
          x-validate: null
      title: ErrorResponse
      type: object
      x-struct: Elixir.GrootApi.ApiSpec.Schemas.ErrorResponse
      x-validate: null
    NotFoundResponse:
      description: Not found response
      example:
        error: Not found
      properties:
        error:
          description: Not found
          type: string
          x-struct: null
          x-validate: null
      title: NotFoundResponse
      type: object
      x-struct: Elixir.GrootApi.ApiSpec.Schemas.NotFoundResponse
      x-validate: null
    ItemSchema:
      properties:
        device_id:
          description: Device ID
          type: string
          x-struct: null
          x-validate: null
        emission_breakdown:
          properties:
            packaging:
              $ref: '#/components/schemas/EmissionBreakdownSchema'
            product_embodied_emission:
              $ref: '#/components/schemas/EmissionBreakdownSchema'
            product_use:
              $ref: '#/components/schemas/EmissionBreakdownSchema'
            transportation:
              $ref: '#/components/schemas/EmissionBreakdownSchema'
          type: object
          x-struct: null
          x-validate: null
        serial_number:
          description: Serial number of the product
          type: string
          x-struct: null
          x-validate: null
        total_emission:
          description: Total GHG emission of the item
          type: number
          x-struct: null
          x-validate: null
        type:
          description: Type of item
          enum:
            - product
            - packaging
            - transportation
          example: product
          type: string
          x-struct: null
          x-validate: null
      title: ItemSchema
      type: object
      x-struct: Elixir.GrootApi.ApiSpec.Schemas.OrderResponse.ItemSchema
      x-validate: null
    EmissionBreakdownSchema:
      properties:
        description:
          description: Description of the emission source
          type: string
          x-struct: null
          x-validate: null
        emission:
          description: GHG Emission value
          type: number
          x-struct: null
          x-validate: null
        emission_unit:
          description: Unit of GHG emission
          example: kgCO2e
          type: string
          x-struct: null
          x-validate: null
        ghg_category:
          description: GHG category
          type: string
          x-struct: null
          x-validate: null
        ghg_scope:
          description: GHG Scope category
          type: string
          x-struct: null
          x-validate: null
        type:
          description: Type of emission computation result (e.g., estimated, indicative)
          type: string
          x-struct: null
          x-validate: null
      title: EmissionBreakdownSchema
      type: object
      x-struct: Elixir.GrootApi.ApiSpec.Schemas.OrderResponse.EmissionBreakdownSchema
      x-validate: null
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````